Subject: Suspension
From: "Mohd Samar. Iqbal" <[email-masked]>
To: Rosette Modiri <[email-masked]>
Date: Mon, 13 Jan 2020 08:53:23 -0700 (MST)

CASE1422210 

He is asking how to adjust the suspension on EB 7 plus bike. Do we have any information regarding this? 

This is his message " I just setup my EB 7plus bike but I have a few questions. Should the tire pressure be set at 65psi if I weigh 240lbs. I read about setting the tire pressure if the temperatures exceed 90 degrees. Also I tried to adjust the suspension but it seems that the black collar just turns but doesn’t turn the mechanism underneath it. Am I doing something wrong. It seems like it needs some kind of tool to be able to turn. Please advise since I would like to adjust. "